/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.mdb;

import javax.jms.JMSException;


/**
 * All @Producers implement this interface.  It allows the user to interact with the @Producer to connect(),
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public interface ProducerManager
{
   void setUsername(String user);

   void setPassword(String passwd);

   void connect() throws JMSException;

   void close() throws JMSException;

   void commit() throws JMSException;

   void rollback() throws JMSException;
}
